[bug] je ne comprend pas ce bug sur Conky

Applications multimedia / jeux
SkaalZealot
Hankyu
Messages : 18
Inscription : mar. 20 mars 2018, 07:17

[bug] je ne comprend pas ce bug sur Conky

Message par SkaalZealot »

Bonjour,

Je débute sur Conky et j'essaie de me faire un joli bureau, mais j'ai cette erreur qui empêche Conky de se rafraîchir et je ne comprends pas assez Linux pour corriger le problème, problème qui apparemment est lié aux fonts ?

C'est ce que la console me retourne, dès que je fais un changement dessus au lieu de se rafraichir, j'ai ça qui s'affiche.

Code : Tout sélectionner

/usr/include/c++/13.2.1/bits/stl_vector.h:1125: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](size_type) [with _Tp = x_font_list; _Alloc = std::allocator<x_font_list>; reference = x_font_list&; size_type = long unsigned int]: Assertion '__n < this->size()' failed.
Mon conky est ici : https://github.com/neecride/Little-Conky

J'ai une Archcraft version 6.6.3-arch1-1 et conky en version 1.18.1-2

Si c'était du PHP, j'aurais trouvé, mais là, je suis perdu.

Bonne journée.
Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 17235
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [bug] je ne comprend pas ce bug sur Conky

Message par benjarobin »

Bonjour,
C'est un bug de conky (si je comprends bien la trace), il faudrait le remonter à l'auteur du projet.
Après le bug est peut être mis en évidence via un peu problème de configuration de ton côté, mais cela reste un bug dans conky
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
biscotte
Hankyu
Messages : 28
Inscription : jeu. 26 mars 2020, 20:35
Localisation : Lille

Re: [bug] je ne comprend pas ce bug sur Conky

Message par biscotte »

j'ai trouvé ça ça pourrait peut-être t'aider
https://forums.zoneminder.com/viewtopic.php?t=32325
AMD Ryzen 5 3600 - MSI MPG B550 Gaming+ - Sapphirre 5500 XT Nitro+ - 1To M2 - Corsaire Vengeance Pro 16 Go.
Endeavour OS 6.7.8-arch-1 (64 bits) - KDE Plasma 5.27 - Qt 5.15.
Répondre